import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:go_router/go_router.dart';

class RouterConfig {
  String path;
  FutureOr<String?> Function(BuildContext, GoRouterState)? redirect;
  Widget Function(GoRouterState) child;

  RouterConfig({
    required this.path,
    required this.child,
    this.redirect,
  });
}
